org.eclipse.gef.dot.internal.ui.language.contentassist

## Class AbstractDotPointProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotPointProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

Direct Known Subclasses:
  DotPointProposalProvider

    public class AbstractDotPointProposalProvider
    extends org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

Represents a generated, default implementation of superclass `AbstractJavaBasedContentProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDotPointProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `complete_DOUBLE(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Point(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_WS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePoint_InputOnly(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePoint_X(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePoint_Y(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePoint_Z(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDotPointProposalProvider

    public AbstractDotPointProposalProvider()

### Method Detail

#### completePoint_X

    public void completePoint_X(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.Assignment assignment,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completePoint_Y

    public void completePoint_Y(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.Assignment assignment,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completePoint_Z

    public void completePoint_Z(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.Assignment assignment,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completePoint_InputOnly

    public void completePoint_InputOnly(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Point

    public void complete_Point(org.eclipse.emf.ecore.EObject model,
                               org.eclipse.xtext.RuleCall ruleCall,
                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_DOUBLE

    public void complete_DOUBLE(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.RuleCall ruleCall,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_WS

    public void complete_WS(org.eclipse.emf.ecore.EObject model,
                            org.eclipse.xtext.RuleCall ruleCall,
                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)